Package com.macrofocus.common.interval

# Class AbstractBoundedInterval

java.lang.Object
com.macrofocus.common.interval.AbstractMutableInterval
com.macrofocus.common.interval.AbstractBoundedInterval

All Implemented Interfaces:
  `BoundedInterval`, `Interval`, `MutableInterval`

Direct Known Subclasses:
  `SimpleBoundedInterval`, `TransformBoundedInterval`

public abstract class AbstractBoundedInterval extends AbstractMutableInterval implements BoundedInterval

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `AbstractBoundedInterval()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addBoundedIntervalListener(BoundedIntervalListener listener)`
  `void`
  `addWeakBoundedIntervalListener(BoundedIntervalListener listener)`
  `boolean`
  `isFullRange()`
  `protected void`
  `notifyBoundedIntervalChanged(BoundedIntervalEvent event)`
  `void`
  `removeBoundedIntervalListener(BoundedIntervalListener listener)`
  `void`
  `removeBoundedIntervalListeners()`

  ### Methods inherited from class com.macrofocus.common.interval.AbstractMutableInterval

  `addIntervalListener, addWeakIntervalListener, notifyIntervalChanged, removeIntervalListener, removeIntervalListeners`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.macrofocus.common.interval.BoundedInterval

  `getMaximum, getMaximumExtent, getMinimum, getMinimumExtent, isInvertedScale`

  ### Methods inherited from interface com.macrofocus.common.interval.Interval

  `addIntervalListener, addWeakIntervalListener, contains, containsInterval, containsStartEnd, getEnd, getExtent, getStart, isDegenerate, isInverted, overlaps, overlapsInterval, removeIntervalListener, removeIntervalListeners`

  ### Methods inherited from interface com.macrofocus.common.interval.MutableInterval

  `getEndProperty, getStartProperty, setEnd, setExtent, setStart, setValue`

- ## Constructor Details

  - ### AbstractBoundedInterval

    protected AbstractBoundedInterval()

- ## Method Details

  - ### isFullRange

    public boolean isFullRange()
    Specified by:
      `isFullRange` in interface `BoundedInterval`

  - ### addBoundedIntervalListener

    public void addBoundedIntervalListener(BoundedIntervalListener listener)
    Specified by:
      `addBoundedIntervalListener` in interface `BoundedInterval`

  - ### addWeakBoundedIntervalListener

    public void addWeakBoundedIntervalListener(BoundedIntervalListener listener)
    Specified by:
      `addWeakBoundedIntervalListener` in interface `BoundedInterval`

  - ### removeBoundedIntervalListener

    public void removeBoundedIntervalListener(BoundedIntervalListener listener)
    Specified by:
      `removeBoundedIntervalListener` in interface `BoundedInterval`

  - ### removeBoundedIntervalListeners

    public void removeBoundedIntervalListeners()
    Specified by:
      `removeBoundedIntervalListeners` in interface `BoundedInterval`

  - ### notifyBoundedIntervalChanged

    protected void notifyBoundedIntervalChanged(BoundedIntervalEvent event)